Subject: [Dime] draft-bertz-dime-rfc4006bis - adding a procedure for zero grants

From: Yuval Lifshitz <[email-masked]>
Date: Wed, 29 Jun 2016 19:37:36 +0000

Hello all,

In section 5.6.2 and 5.6.3 (redirect and restrict actions) a process is described for graceful degradation on the first interrogation when the subscriber has no funds:

"However, the

   user's account might be empty when this first interrogation is

   performed.  In this case, the subscriber can be offered a chance to

   replenish the account and continue the service.  The credit-control

   client receives a Credit-Control-Answer or service specific

   authorization answer with the Final-Unit-Indication and Validity-Time

   AVPs but no Granted-Service-Unit.  It immediately starts the graceful

   service termination without sending any message to the server.  An

   example of this case is illustrated in Appendix A."

The issue is, that this may also happen in consequent interrogations as well. For example:

- when the reported U-S-U of another service exceeds the G-S-U

- When direct debiting depleted the account

In this case, currently, the only option is to reply with DIAMETER_CREDIT_LIMIT_REACHED for the service, which does not allow for graceful service termination (e.g. no VT, action etc.).

Note that in 3GPP TS 32.299, between releases 11.3 and 11.4, the termination action procedure (section 6.5.3 there) was corrected to allow for zero G-S-U as an indication that the termination process should start immediately, without further interrogation.

Without this clarification, the common interpretation of a zero G-S-U was to exhaust the grant once traffic is seen, and send a final report.

In accordance to that, would recommend adopting that concept and add the following text to the end of section 5.6.1 in RFC4006:

"When zero quota has been granted by the credit-control server, the termination action SHOULD be enforced at the reception of the CCA message. Final Credit-Control-Request message SHOULD NOT be sent to the credit-control server in this case."

In sections 5.6.2 and 5.6.3, the following text should be added:

"The credit-control server MAY grant zero quota to credit-control client, as

   specified in the previous section for the TERMINATE action."

Appreciate your feedback,

Yuval